
TARGETS := edge-detect

CXXFLAGS := -fopenmp
COMMON_OBJS := BMP.o

OBJS := $(foreach target,$(TARGETS),$(target).o)
OBJS += $(COMMON_OBJS)

all: $(TARGETS)

$(TARGETS): $(OBJS)
	$(CXX) -o $@ $@.o $(COMMON_OBJS) $(CXXFLAGS)

clean:
	-rm -f *~ *.o $(TARGETS)
